package com.kexun.enums;

/**
 * Description:
 *
 * @author lgs
 * @date 2023/05/11
 */
public enum ReportStatusEnum {

    /**
     * 1-待解析;查询成功，有报告
     */
    NO_PRASE("0"),

    /**
     * 2-已解析
     */
    PRASE_FINISH("1"),

    /**
     * 白户-查询成功，无报告
     */
    NO_REPORT("2"),

    /**
     * 3-查询失败
     */
    QUERY_FAIL("3"),

    /**
     * 4-查询异常
     */
    ERROR("4"),

    /**
     * 解析失败
     */
    PRASE_FAIL("5");


    private final String value;

    ReportStatusEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

}
