package com.kexun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorProduct;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Entity com.kexun.entity.PartnerInfo
 */
public interface CooperatorMapper extends BaseMapper<CooperatorInfo> {

    /**
     * 查询合作方名下的字段信息
     * @param cooperatorNum
     * @return
     */
    List<CooperatorField> queryField(@Param("cooperatorNum") String cooperatorNum);

    List<CooperatorProduct> QueryProduct(@Param("cooperatorNum") String cooperatorNum);

    List<CooperatorInfo> selectAll();

    List<CooperatorInfo> selectCoop(String info);

    List<CooperatorField> queryByCooNum(String cooperatorNum);
}




