package com.kexun.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description: 报文信息DTO
 *
 * @author lgs
 * @date 2023/05/25
 */
@Data
public class ReportParseDTO implements Serializable {
    /**
     * 姓名
     */
    private String name;
    /**
     * 证件类型代码
     */
    private String idTypeCode;
    /**
     * 被查询者证件类型描述
     */
    private String idTypeDesc;
    /**
     * 被查询者证件号码
     */
    private String idNum;
    /**
     * 报告头信息表id
     */
    private Long headInfId;
    /**
     * 报告编号
     */
    private String rptNo;

    /**
     * 解析出来的json串
     */
    private String parseJson;

    /**
     * 产品配置出来的JSON串
     */
    private String prdJson;
}
