package com.kexun.service;

import com.baomidou.mybatisplus.extension.service.IService;

import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorProduct;

import java.util.List;

/**
 *
 */
public interface CooperatorProductService extends IService<CooperatorProduct> {
    List<CooperatorProduct> productList();

    /**
     * 根据产品编号获取产品名下的字段
     * @param productNum
     * @return
     */
    List<CooperatorField> findCooperatorProductFieldByNum(String productNum);

    void Apply(String cooperatorNo, String cooperatorName, String productNo, String productName, String modelId, String createTime);

    void updateProductFieldNo(String productNum, String fieldNo);

    List<CooperatorField> findCooperatorFieldsByName(String cooperatorName);

    List<CooperatorProduct> selectPage();

    List<CooperatorProduct> selectCoopProduct(String info);

    List<CooperatorProduct> getCooperatorByModel(Long modelId);

    List<CooperatorProduct> getProductByProductNum(String productNum);

    List<CooperatorProduct> findCooperatorProductByNum(String cooperatorNum);

    CooperatorProduct findProductByName(String product_name);
}
