package com.kexun.service;

import com.baomidou.mybatisplus.extension.service.IService;

import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.CooperatorProduct;
import com.kexun.entity.UserField;

import java.util.List;

/**
 *
 */
public interface CooperatorService extends IService<CooperatorInfo> {
    CooperatorInfo findByCooperatorNum(String partnerName);

    List<CooperatorInfo> findByCorpCertificateNumAndType(String corpCertificateNum, String corpCertificateType);

    /**
     * 查询合作方名下的产品
     * @param templateId
     * @return
     */
    List<CooperatorField> findCooperatorFieldByNum(String templateId);

    List<CooperatorProduct> findCooperatorProductByNum(String cooperatorNum);

    CooperatorInfo findByID(long id);

    List<CooperatorInfo> selectPage();

    List<CooperatorInfo> selectCoop(String info);

    List<CooperatorField> findCooperatorFieldByCooNum(String cooperatorNum);
}
