package com.kexun.service;

import com.kexun.entity.CrHeadInfEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.model.xml.HeadInfo;

/**
 * <p>
 * 报告头信息 服务类
 * </p>
 *
 * @author lgs
 * @since 2023-05-26
 */
public interface CrHeadInfService extends IService<CrHeadInfEntity> {

    /**
     * 保存基本信息
     * @param headInfo
     */
    Long saveHeadInfo(HeadInfo headInfo);


    /**
     * 保存或者修改信息
     * @param crHeadInfEntity
     * @return
     */
    Long saveUpdateHeadInfo(CrHeadInfEntity crHeadInfEntity);

}
