package com.kexun.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CustomInfo;
import com.kexun.mapper.BusinessMapper;
import com.kexun.mapper.CustomInfoMapper;
import com.kexun.service.BusinessService;
import com.kexun.service.CustomInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *
 */
@Service
public class CustomInfoServiceImpl extends ServiceImpl<CustomInfoMapper, CustomInfo>
    implements CustomInfoService {

    @Resource
    CustomInfoMapper customInfoMapper;

    @Override
    public CustomInfo QueryCustomInfo(String headInfId){
        CustomInfo l = customInfoMapper.queryCustomInfo(headInfId);
        return l;
    }

    @Override
    public List<CustomInfo> QueryCustomTelephone(String headInfId){
        List<CustomInfo> l = customInfoMapper.queryCustomTelephone(headInfId);
        return l;
    }




}




