import com.kexun.utils.DateUtils;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.*;

/**
 * Description:基础测试类
 *
 * @author lgs
 * @date 2023/07/04
 */
public class BaseTest {

    @Test
    public void test(){

        Set<Object> set = new HashSet<>();

        set.add("111");
        set.add("111");
        set.add("2222");
        System.out.println(set);
    }
    @Test
    public void test2(){
        List list = null;
        Object o = Optional.ofNullable(list.get(0)).orElse("0");


        System.out.println(o);
    }

    @Test
    public void test3(){
        String str = "ddd";
        boolean aa = str.startsWith("aa");
        System.out.println(aa);
    }
    @Test
    public void test4(){
        List<String> list = Arrays.asList("商业银行", "外资银行", "村镇银行");
        System.out.println(list);

        String s = "商业";

        boolean contains = false;
        for (String s1 : list) {
            if (s1.contains(s)){
                contains = true;
            }
        }
        System.out.println(contains);
    }

    @Test
    public void test5(){
        BigDecimal b1 = new BigDecimal("0.00");

        BigDecimal b2 = new BigDecimal("0.00");
        BigDecimal divide = b1.divide(b2, 2, BigDecimal.ROUND_CEILING);
        System.out.println(divide);

    }
    @Test
    public void test6t(){
        Date currDate = new Date();
        Date startDate = DateUtils.lastMonthDate(currDate, 1, DateUtils.UNIT_MOUTHS);
    }

    @Test
    public void testFile(){
        String context = "json文件写入操作";
        String format = DateUtils.format(new Date(), DateUtils.YYYYMMDD);
        String jsonTargetPath = "/Users/lgs/work/zxjx/test/"+File.separator+format+File.separator;
        File file = new File(jsonTargetPath);
        if (!file.exists()){
            file.mkdirs();
        }
        try {
            IOUtils.write(context,new FileOutputStream(jsonTargetPath+"测试.txt"),"UTF-8");
            System.out.println("写入成功");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


    /**
     * 测试移动文件，是否会创建目录
     */
    @Test
    public void testMoveFile() throws Exception{
        String fileName ="test.txt";
        String jsonTargetPath = "/Users/lgs/work/zxjx/";
        File file = new File(jsonTargetPath + "");
        String format = DateUtils.format(new Date(), DateUtils.YYYYMMDD);
        File targetFile = new File(jsonTargetPath+format+File.separator);
        if (!targetFile.exists()){
            boolean mkdir = targetFile.mkdirs();
            System.out.println(mkdir);
        }
       // FileUtils.moveFile(file,targetFile);
    }
}
