package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "field_define")
@Data
public class CooperatorField extends BaseEntity implements Serializable {

    @TableId(value = "field_id")
    private Long fieldId;
    /**
     * 字段类别
     */
    private String category;

    @TableField(value = "field_no")
    private String fieldNo;

    @TableField(value = "name")
    private String name;

    @TableField(value = "name_zh")
    private String nameZH;

    @TableField(value = "type")
    private String type;

    @TableField(value = "template_name")
    private String templateName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
