package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 字段模板和字段关系
 * </p>
 *
 * @author lgs
 * @since 2023-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("field_template_ref")
@ApiModel(value="FieldTemplateRefEntity对象", description="字段模板和字段关系")
public class FieldTemplateRefEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段模板ID")
    @TableField("field_template_id")
    private Long fieldTemplateId;

    @ApiModelProperty(value = "字段模板编号")
    @TableField("template_no")
    private String templateNo;

    @ApiModelProperty(value = "字段定义表ID")
    @TableField("field_define_id")
    private Long fieldDefineId;

    @ApiModelProperty(value = "字段编号")
    @TableField("field_no")
    private String fieldNo;

    @ApiModelProperty(value = "字段名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "字段类型 1-基础字段;2-衍生字段")
    @TableField("type")
    private String type;


}
