package com.kexun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.entity.*;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Entity com.kexun.entity.PartnerInfo
 */
public interface BusinessMapper extends BaseMapper<BusinessInfo> {

    List<BusinessInfo> QueryBusinessList(@Param("params") String params, @Param("customerName") String customerName);

    List<BusinessInfo> QueryToDoList();
    List<BusinessInfo> QueryAnalysisList(@Param("params") String params);

    List<BusinessInfo> QueryFailList();
    BusinessInfo queryBusinessInfoByNum(@Param("businessNum") String businessNum);

    List<BusinessInfo> selectBusinessToDo(String customerName);

    List<BusinessInfo> selectBusinessAnalysis(String customerName);

    List<BusinessInfo> selectBusinessFail(String customerName);
}




