package com.kexun.model.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

/**
 * Description: 历史变更记录展示层
 *
 * @author lgs
 * @date 2023/05/26
 */
@Data
public class BusInfoModifyHisVO implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 业务编号
     */
    private String businessNum;

    /**
     * 操作模块名称
     */
    private String moduleName;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 操作简单描述
     */
    private String operation;

    /**
     * 操作详细描述
     */
    private String description;

}
