package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * Description:信贷交易信息提示
 *
 * @author lgs
 * @date 2023/06/02
 */
@Data

public class SmryTradeTips implements IXmlBase {

    /**
     * 账户数合计
     */
    @JSONField(name = "ACCOUNTNUMSUM")
    private String accountNumSum;

    /**
     * 业务类型数量
     */
    @JSONField(name = "BUSITYPENUM")
    private String busTypeNum;

    /**
     * 信贷交易提示信息
     */
    @JSONField(name = "CTINFOLIST")
    private SmryTradeTipsList smryTradeTipsList;

}
