package com.kexun.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.ReportFileEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 文件信息表service
 */
public interface ReportFileService extends IService<ReportFileEntity> {

    /**
     * 根据业务编号查询文件信息
     * @param businessNum
     * @return
     */
    List<ReportFileEntity> queryFileByNum(String businessNum);

    ReportFileEntity findByHeadInfId(long headInfId);

    void downLoadFile(HttpServletResponse response, List<String> idList);

}


