package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.CooperatorProductField;
import com.kexun.entity.CreditApproval;
import com.kexun.entity.FieldDefineEntity;
import com.kexun.entity.FieldTemplateRefEntity;
import com.kexun.mapper.CooperatorProductFieldMapper;
import com.kexun.mapper.CreditApprovalMapper;
import com.kexun.mapper.FieldTemplateRefMapper;
import com.kexun.service.CooperatorProductFieldService;
import com.kexun.service.CreditApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 */
@Service
public class CooperatorProductFieldImpl extends ServiceImpl<CooperatorProductFieldMapper, CooperatorProductField>
    implements CooperatorProductFieldService {

    @Autowired
    CooperatorProductFieldMapper cooperatorProductFieldMapper;
    @Override
    public CooperatorProductField findByID(long id) {
        QueryWrapper<CooperatorProductField> wrapper=new QueryWrapper<CooperatorProductField>().eq("id",id);
        return getOne(wrapper);
    }

    @Override
    public List<CooperatorProductField> findFieldByFieldNo(String fieldNo) {
//        System.out.println("aaa");
        List<CooperatorProductField> l = cooperatorProductFieldMapper.QueryFieldByFieldNo(fieldNo);
        return l;
    }
}




