package com.kexun.service.xml;

import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.IXmlBase;

/**
 * Description: 征信报文信息段service统一接口
 *
 * @author lgs
 * @date 2023/05/25
 */
public interface IHandleXmlBaseService {

    /**
     * 报文头特殊信息处理
     * @param commonParam 公共参数
     * @param reportXmlBase 信息段类
     */
    void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase);
}
