package com.kexun.utils;

import java.math.BigDecimal;

/**
 * Description: 基础的Utils处理类
 *
 * @author lgs
 * @date 2023/07/12
 */
public class BaseUtils {

    public static String getValueByType(Object obj, String type) {
        String value = "";
        if (null == obj || "".equals(obj)) {
            if (type.equals("String")) {
                value = "";
            } else if (type.equals("Integer")) {
                value = String.valueOf(0);
            } else if (type.equals("BigDecimal")) {
                value = String.valueOf(new BigDecimal("0.0"));
            }
        } else {
            value = String.valueOf(obj);
        }
        return value;
    }

}
