package com.kexun.utils.compare;

import lombok.Data;

/**
 * Description:对比结果展示类
 *
 * @author lgs
 * @date 2023/05/18
 */
@Data
public class HistoryDesc {
    private String name;
    private String description;
    private Object oldValue;
    private Object newValue;

    public HistoryDesc(String name, String description, Object oldValue, Object newValue) {
        this.name = name;
        this.description = description;
        this.oldValue = (oldValue == null ? "" : oldValue);
        this.newValue = (newValue == null ? "" : newValue);
    }

    public HistoryDesc() {

    }
}


